#简介
>1、COP算法是一套基于制冷原理从冷媒循环侧实时计算机组能效的算法，其可根据机组的实际运行参数动态计算机组的能效值，让用户直接明了的获悉机组的实时能效水平。

#结构说明
>|--calculation #计算文件，计算机组的COP值
|--communication #通讯文件，包括mysql读库模块、mq生产和消费消息模块、mysql通讯包
|----config #配置文件，包括数据库配置信息（config.py）、配置信息映射模块（communicationConfig.py）
|----normalization #包含格式化结果输出模块（constant.py），数据判断模块（data_normalization.py），数据获取模块（get_mysql_data.py）
|----Logs #日志
|----main.py #主程序（算法入口）

#使用注意
>1、只有机组COP计算服务开启才会进行计算
2、该版本程序只支持单机头机组，暂不支持多机头机组
> 

# 部署方式
1. 检查服务器pyhon环境需要高于3.10(python3、python3-venv)
2. mkdir /opt/alg && python3 -m venv alg_env
3. source alg/env/bin/activate
4. 安装第三方库
5. 安装rocketmq-client-cpp (Debian类操作系统)
   ```shell
    wget https://github.com/apache/rocketmq-client-cpp/releases/download/2.0.0/rocketmq-client-cpp-2.0.0.amd64.deb;
    dpkg -i rocketmq-client-cpp-2.0.0.amd64.deb
   ```
6. 启动服务
    ```shell
    bash starup.sh
    ```
7. 日志文件
   ```shell
   /var/log/cop.log
   ```

# 阿里云第三方库下载加速
```shell
pip install certifi==2025.4.26 -i http://mirrors.aliyun.com/pypi/simple --trusted-host mirrors.aliyun.com
pip install CoolProp==6.7.0 -i http://mirrors.aliyun.com/pypi/simple --trusted-host mirrors.aliyun.com
pip install DBUtils==2.0 -i http://mirrors.aliyun.com/pypi/simple --trusted-host mirrors.aliyun.com
pip install numpy==1.26.4 -i http://mirrors.aliyun.com/pypi/simple --trusted-host mirrors.aliyun.com
pip install pandas==2.2.2 -i http://mirrors.aliyun.com/pypi/simple --trusted-host mirrors.aliyun.com
pip install pika==1.3.2 -i http://mirrors.aliyun.com/pypi/simple --trusted-host mirrors.aliyun.com
pip install PyMySQL==0.10.1 -i http://mirrors.aliyun.com/pypi/simple --trusted-host mirrors.aliyun.com
pip install python-dateutil==2.9.0 -i http://mirrors.aliyun.com/pypi/simple --trusted-host mirrors.aliyun.com
pip install pytz==2024.1 -i http://mirrors.aliyun.com/pypi/simple --trusted-host mirrors.aliyun.com
pip install six==1.16.0 -i http://mirrors.aliyun.com/pypi/simple --trusted-host mirrors.aliyun.com
pip install wincertstore==0.2 -i http://mirrors.aliyun.com/pypi/simple --trusted-host mirrors.aliyun.com
pip install rocketmq-client-python==2.0.0 -i http://mirrors.aliyun.com/pypi/simple --trusted-host mirrors.aliyun.com


```

