import json
from logs.logger import *
from calculation.calculation_process import CalculationProcess
from communication.rabbitmq_link import create_connect, send_data_to_rabbitmq
# from communication.rocketmq_link import start_rocket, send_data_to_rocket


def main(dict_origin):
    logger.critical("========Get data from rabbitmq========")
    logger.critical("Input: {}".format(dict_origin))
    dict_input = json.loads(dict_origin)
    if dict_input['handleService'] == 'SingleCompressor':
        dict_results = CalculationProcess(dict_input).main_process()
    else:
        dict_results = {}
        logger.critical('=======暂不支持多机头服务========')
    logger.critical("========Send calculated results to rabbitmq========")
    dict_results = json.dumps(dict_results, ensure_ascii=False)
    logger.critical("Output: {}".format(dict_results))
    send_data_to_rabbitmq(dict_results)
    # send_data_to_rocket(dict_results)


if __name__ == '__main__':
    logger.critical("========Create connection for rabbitmq========")
    create_connect()
    # start_rocket()

